/*
 * Copyright (C) 2022 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.google.android.accessibility.talkback.trainingcommon.tv;

import com.google.android.accessibility.talkback.trainingcommon.PageConfig.PageId;
import com.google.auto.value.AutoValue;
import com.google.common.collect.ImmutableList;
import com.google.common.collect.ImmutableMap;
import java.util.List;
import java.util.Map;

@AutoValue
abstract class VendorConfig {
  static VendorConfig create(
      Map<PageId, TvPageConfig> defaultPages, List<TvPageConfig> vendorPages) {
    return new AutoValue_VendorConfig(
        ImmutableMap.copyOf(defaultPages), ImmutableList.copyOf(vendorPages));
  }

  abstract ImmutableMap<PageId, TvPageConfig> defaultPages();

  abstract ImmutableList<TvPageConfig> vendorPages();
}
